Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.notification
Class AnnouncementNotification

    java.lang.Object
      com.bea.apps.groupspace.notification.GroupSpaceNotification
          com.bea.apps.groupspace.notification.CommunityNotification
              com.bea.apps.groupspace.notification.AnnouncementNotification

    public class AnnouncementNotification

extends CommunityNotification

This class represents a notification based on announcements.

Field Summary
`static String` | `NOTIFICATION_NAME`

Fields inherited from class com.bea.apps.groupspace.notification.GroupSpaceNotification
`debug, expirationDate, GROUPSPACE_NOTIFICATION_NAMESPACE, notification, notificationProps, PROP_IMPLEMENTATION_KEY, PROP_SEVERITY_KEY, PROP_SUBJECT_KEY, SEVERITY_SEV_HIGH, SEVERITY_SEV_NORMAL`

Constructor Summary
`AnnouncementNotification()` Default ctor.
`AnnouncementNotification(Notification notification)` Ctor based on payload.

Method Summary
`String` | `getAnnouncementId()` Gets the announcement ID of the announcement to show when the details of the announcement are viewed.
`String` | `getNotificationName()`
`void` | `setAnnouncementId(String announcementId)` Sets the announcement ID of the announcement to show when the details of the announcement are viewed.
`protected void` | `validateOnSend()`

Methods inherited from class com.bea.apps.groupspace.notification.CommunityNotification
`getCommunityDefinitionID, setCommunityDefinitionID`

Methods inherited from class com.bea.apps.groupspace.notification.GroupSpaceNotification
`getExpirationDate, getIsHighSeverity, getNotification, getNotificationAttribute, getNotificationAttribute, getNotificationNamespace, getNotificationSeverity, getNotificationSubject, isValidNotification, setExpirationDate, setNotificationAttribute, setNotificationSeverity, setNotificationSubject, toNotificationPayloadInfo, toNotificationPayloadInfo, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NOTIFICATION_NAME

    public static final String NOTIFICATION_NAME

See Also
  Constants Summary

Constructor Detail

### AnnouncementNotification

    public AnnouncementNotification()

  Default ctor.

### AnnouncementNotification

    public AnnouncementNotification(Notification notification)

  Ctor based on payload.

  Parameters
    `payload` -

Method Detail

### setAnnouncementId

    public void setAnnouncementId(String announcementId)

  Sets the announcement ID of the announcement to show when the details of the announcement are viewed.

### getAnnouncementId

    public String getAnnouncementId()

  Gets the announcement ID of the announcement to show when the details of the announcement are viewed.

  Returns

### getNotificationName

    public String getNotificationName()

  Specified by:
    `getNotificationName` in class `GroupSpaceNotification`

### validateOnSend

    protected void validateOnSend()
                           throws MissingDataException

  Overrides:
    `validateOnSend` in class `CommunityNotification`
  Throws
    `MissingDataException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved